Package twisted :: Package protocols :: Module policies :: Class WrappingFactory

[show private | hide private]
[frames | no frames]

## Class WrappingFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   WrappingFactory

Known Subclasses:
  `ThrottlingFactory`, `SpewingFactory`

Wraps a factory and its protocols, and keeps track of them.

Method Summary
| `__init__(self, wrappedFactory)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``clientConnectionFailed`(self, connector, reason)` Called when a connection has failed.
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost.
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| ``registerProtocol`(self, p)` Called by protocol to register itself.
| ``startedConnecting`(self, connector)` Called when a connection has been started.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)
| ``unregisterProtocol`(self, p)` Called by protocols when they go away.

Class Variable Summary
`class` | `ProtocolWrapper`

Method Details

### buildProtocol(self, addr)

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Override this method to alter how Protocol instances get created.

  Overrides:
    `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

### clientConnectionFailed(self, connector, reason)

Called when a connection has failed.

It may be useful to call connector.connect() - this will reconnect.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)
  Overrides:
    `twisted.internet.protocol.ClientFactory.clientConnectionFailed` (inherited documentation)

### clientConnectionLost(self, connector, reason)

Called when a connection is lost.

It may be useful to call connector.connect() - this will reconnect.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)
  Overrides:
    `twisted.internet.protocol.ClientFactory.clientConnectionLost` (inherited documentation)

### registerProtocol(self, p)

Called by protocol to register itself.

### startedConnecting(self, connector)

Called when a connection has been started.

You can call connector.stopConnecting() to stop the connection attempt.

  Parameters:
    `connector` - a Connector object.
  Overrides:
    `twisted.internet.protocol.ClientFactory.startedConnecting` (inherited documentation)

### unregisterProtocol(self, p)

Called by protocols when they go away.

Class Variable Details

### ProtocolWrapper

`ProtocolWrapper` = `twisted.protocols.policies.ProtocolWrapper`

Generated by Epydoc 1.1 on Sat Feb 15 21:18:02 2003 | http://epydoc.sf.net